Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class SecurityRoleRef

    java.lang.Object
      org.apache.catalina.deploy.SecurityRoleRef

    public class SecurityRoleRef

extends Object

Representation of a security role reference for a web application, as represented in a `<security-role-ref>` element in the deployment descriptor.

Since:
  Tomcat 5.5
Version:
  $Id: SecurityRoleRef.java 939305 2010-04-29 13:43:39Z kkolinko $
Author:
  Mark Thomas

Constructor Summary
`SecurityRoleRef()`

Method Summary
`String` | `getLink()`
`String` | `getName()`
`void` | `setLink(String link)`
`void` | `setName(String name)`
`String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityRoleRef

    public SecurityRoleRef()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getLink

    public String getLink()

### setLink

    public void setLink(String link)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.